Synthesis AG - SyncML Client and Server Solutions

FAQ - Frequently Asked Questions & Answers thereof

Back to list of questions in this Category

Back to list of all categories

?Apache module mod_sysync2 for Linux can't be compiled
!The problem seems to be libtool 2.2, which is using now .la instead of .so files. And the option -shared is no longer supported.

The line of

apxs2 -c mod_sysync2.c platform_pipe.c -o -shared

must be replaced by:

apxs2 -c mod_sysync2.c platform_pipe.c

A shell call "bash" is recommended as well.